1 Reply Latest reply on Dec 2, 2014 9:32 PM by Jay SenSharma

    Warning with new JSF 2.2.8 slot in JBoss AS 7.1.1

    valsaraj viswanathan Master



      We are using JSF 2.2.8 with JBoss AS 7.1.1. This is done by adding the version 2.2.8 as new slot in JSF module.

      I am getting the following warning with new JSF 2.2 slot in JBoss AS 7.1.1:

      Deployment "deployment.app.ear.appWEB.war" is using a private module ("com.sun.jsf-impl:2.2") which may be changed or removed in future versions without notice.


      What may be the cause?

        • 1. Re: Warning with new JSF 2.2.8 slot in JBoss AS 7.1.1
          Jay SenSharma Master

          If you have the following entry written in your "custom" JSF 2.2 slot  then remove it,   Looks lke you just copied the already provided module.xml file of JSF module and added your own slot information 2.2 but u forgot to remove the private property. 


                  <property name="jboss.api" value="private"/>



          JBoss has declared some of it's modules as "private" those modules are for internal use of JBoss only and any direct usage for those APIs/modules API  is not supported because in future versions of JBoss those modules might eb altered completely or might be removed as well.    So if you are creating your own custom module for example "com.sun.jsf-impl" with slot "2.2" then you must remove that above property.